## ceilometer 7.0.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

cotyledon
futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
futurist>=0.11.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
jsonpath-rw-ext>=0.1.9 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
kafka-python<1.0.0,>=0.9.5 # Apache-2.0
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
lxml>=2.3 # BSD
msgpack-python>=0.4.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.config>=3.9.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
pbr>=1.6 # Apache-2.0
pecan>=1.0.0 # BSD
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
pysnmp<5.0.0,>=4.2.3 # BSD
python-glanceclient>=2.0.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0
python-neutronclient>=4.2.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0,<7.0.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
PyYAML>=3.1.0 # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.9.0 # Apache-2.0
tooz>=1.28.0 # Apache-2.0
WebOb>=1.2.3,<1.7.0 # MIT
WSME>=0.8 # MIT
# NOTE(jd) We do not import it directly, but WSME datetime string parsing
# behaviour changes when this library is installed
python-dateutil>=2.4.2 # BSD

=== debian/changelog ===
ceilometer (1:7.0.3-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1688557).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 05 May 2017 15:00:53 -0400

ceilometer (1:7.0.2-0ubuntu1) yakkety; urgency=medium

  * New usptream stable release for OpenStack Newton. (LP: #1664306)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Mar 2017 13:59:59 -0500

ceilometer (1:7.0.0-0ubuntu2) yakkety; urgency=medium

  * d/ceilometer-common.postinst: Call ceilometer-upgrade with
    --skip-gnocchi-resource-types as this is only called in the event
    that a local sqlite db is in use, which it won't be if gnocchi is
    being used, resolving issues with installation and upgrade
    (LP: #1631868)

 -- James Page <james.page@ubuntu.com>  Mon, 10 Oct 2016 09:32:15 +0100

ceilometer (1:7.0.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release for OpenStack Newton.

 -- James Page <james.page@ubuntu.com>  Fri, 07 Oct 2016 08:52:03 +0100

ceilometer (1:7.0.0~rc3-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).

  [ James Page ]
  * d/ceilometer-api.service.in: Set listen port to 8777 to ensure that the
    wsgi_script generated binary actually listens on the correct port,
    configurable using a systemd override if need be.
    (LP: #1629796).
  * New upstream release candidate for OpenStack Newton.

 -- James Page <james.page@ubuntu.com>  Mon, 03 Oct 2016 12:48:38 +0100

ceilometer (1:7.0.0~rc2-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.
    - d/p/bug1624873.patch: Drop, included in new RC.
  * Fix issues due to switch to wsgi_script for ceilometer-api (LP: #1626006):
    - d/control: Set minimum version of python-pbr to 1.10.0 to ensure
      that useful wsgi_scripts are generated for ceilometer-api.
    - d/ceilometer-api.{service,init}.in: Switch to direct use of systemd
      unit file instead of relying on openstack-pkg-tools for generation of
      templated versions to ensure that configuration options are passed
      correctly to wsgi_script generated ceilometer-api.

 -- James Page <james.page@ubuntu.com>  Fri, 23 Sep 2016 10:46:22 +0100

ceilometer (1:7.0.0~rc1-0ubuntu2) yakkety; urgency=medium

  * d/control: Move oslo.db from Suggests -> Depends, inline with
    changes for rc2 upstream.
  * d/p/bug1624873.patch: Cherry pick fix for switch of ceilometer-api
    to a wsgi script, rather than a standard console script (LP: #1624873).

 -- James Page <james.page@ubuntu.com>  Tue, 20 Sep 2016 11:49:37 +0100

ceilometer (1:7.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.
  * Align (Build-)Depends with upstream.
  * Add backend driver dependencies as Suggests for python-ceilometer.

 -- James Page <james.page@ubuntu.com>  Mon, 19 Sep 2016 12:04:25 +0100

ceilometer (1:7.0.0~b4~dev9-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * New upstream version.
  * d/ceilometer-common.install, d/ceilometer-common.postinst:
    ceilometer-dbsync is deprecated in favor of ceilometer-upgrade.

  [ James Page ]
  * d/tests/control,test-daemons: Drop test, superceeded by test-services
    and fails with use of process naming in ceilometer.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Sep 2016 12:02:57 +0100

ceilometer (1:7.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ David Della Vecchia ]
  * New upstream version.
  * d/control: Fixing spelling mistake.

  [ Corey Bryant ]
  * New upstream version.
  * d/control: Add python-cotyledon to (Build-)Depends.
  * New upstream version.
  * d/ceilometer-common.install: Install new/existing config and sample files
    from usr/etc.
  * d/rules: Exclude install of ceilometer-config-generator.conf.
  * d/ceilometer-common.postinst: Ensure proper permissions for
    /etc/ceilometer/rootwrap*.

  [ Dimitri John Ledkov ]
  * Check ipmi agent is running only on i386 & amd64.

  [ James Page ]
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Sep 2016 11:51:21 +0100

ceilometer (1:7.0.0~b2-0ubuntu3) yakkety; urgency=medium

  [ Dimitri John Ledkov ]
  * Add python-libvirt and libvirt-daemon-system to Depends in
    debian/control/tests to make sure ceilometer-agent-compute is
    running. Possibly makes sense to add python-libvirt as the Depends: on
    the appropriate package, and only libvirt-daemon in the
    debian/tests/contol.
  * Iterate through all services, before exiting 1 in
    debian/tests/test-services, to see all failing services at once.
  * Skip testing for the ipmi agent service on s390x, not useful.
  * Mark debian/tests/test-* files executable.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Aug 2016 15:03:52 -0400

ceilometer (1:7.0.0~b2-0ubuntu2) yakkety; urgency=medium

  * d/tests/control: Add rabbitmq-server to test dependencies to avoid
    daemon test failures.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Jul 2016 10:24:22 +0100

ceilometer (1:7.0.0~b2-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream snapshot.
  * d/p/skip-gnocchiclient-tests.patch,d/control: Re-enable testing with
    gnocchi as python-gnocchiclient is a BD only.
  * d/p/skip-gabbi.patch,d/control: Re-enable testing that relies on gabbi
    as its a BD only.
  * d/p/disable-kafka.patch,d/control: Disable runtime dependency on kafka
    only, enable execution of tests during build.
  * d/p/*: Refresh remaining patches.

  [ Corey Bryant ]
  * New upstream version.
  * d/ceilometer-common.install: Install ceilometer-db-legacy-clean tool.

  [ Corey Bryant ]
  * New upstream release for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 Jul 2016 15:50:14 -0400

=== debian/control ===
Source: ceilometer
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.10.0),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-awsauth,
                     python-concurrent.futures (>= 3.0),
                     python-contextlib2,
                     python-cotyledon,
                     python-coverage,
                     python-croniter,
                     python-dateutil (>= 2.4.2),
                     python-debtcollector (>= 1.2.0),
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-futurist (>= 0.11.0),
                     python-gabbi (>= 1.11.0),
                     python-glanceclient (>= 1:2.0.0),
                     python-gnocchiclient (>= 2.2.0),
                     python-happybase (>= 0.5),
                     python-jsonpath-rw-ext (>= 0.1.9),
                     python-jsonschema,
                     python-kafka (>= 0.9.5),
                     python-keystoneauth1 (>= 2.1.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-lxml,
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.2),
                     python-msgpack (>= 0.4.0),
                     python-neutronclient (>= 4.2.0),
                     python-novaclient (>= 2:2.29.0),
                     python-os-testr,
                     python-os-win (>= 0.2.3),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.9.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.16.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslo.vmware (>= 1.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-pastedeploy,
                     python-pecan (>= 1.0.0),
                     python-psycopg2 (>= 2.5),
                     python-pymongo (>= 3.0.2),
                     python-pymysql (>= 0.6.2),
                     python-pysnmp4,
                     python-requests (>= 2.8.1),
                     python-retrying (>= 1.2.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.9.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-tempest (>= 1:12.1.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.28.0),
                     python-webob,
                     python-webtest,
                     python-wsme (>= 0.8),
                     python-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer

Package: python-ceilometer
Architecture: all
Depends: python-concurrent.futures (>= 3.0),
         python-cotyledon,
         python-croniter,
         python-dateutil (>= 2.4.2),
         python-debtcollector (>= 1.2.0),
         python-eventlet (>= 0.17.4),
         python-futurist (>= 0.11.0),
         python-glanceclient (>= 1:2.0.0),
         python-jsonpath-rw-ext (>= 0.1.9),
         python-jsonschema,
         python-keystoneauth1 (>= 2.1.0),
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 4.0.0),
         python-lxml,
         python-migrate (>= 0.9.6),
         python-msgpack (>= 0.4.0),
         python-neutronclient (>= 4.2.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.9.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.16.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-pastedeploy,
         python-pecan (>= 1.0.0),
         python-pysnmp4,
         python-requests (>= 2.8.1),
         python-retrying (>= 1.2.3),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.9.0),
         python-swiftclient (>= 1:2.2.0),
         python-tooz (>= 1.28.0),
         python-webob,
         python-wsme (>= 0.8),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-gnocchiclient (>= 2.1.0),
          python-kafka (>= 0.9.5),
          python-psycopg2 (>= 2.5),
          python-pymongo (>= 3.0.2),
          python-pymysql (>= 0.6.2),
Description: ceilometer python libraries
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the python libraries that are needed for all parts
 of ceilometer

Package: ceilometer-common
Architecture: all
Depends: adduser,
         python-ceilometer (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Breaks: ceilometer-polling (<< 1:5.0.0~rc1-0ubuntu2~),
Replaces: ceilometer-polling (<< 1:5.0.0~rc1-0ubuntu2~),
Description: ceilometer common files
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of ceilometer

Package: ceilometer-collector
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Suggests: mongodb,
Description: ceilometer collector service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the collector service

Package: ceilometer-polling
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Suggests: mongodb,
Description: ceilometer polling service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the polling service.

Package: ceilometer-api
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Suggests: mongodb,
Description: ceilometer api service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 This package contains the api service

Package: ceilometer-agent-compute
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: ceilometer compute agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent

Package: ceilometer-agent-central
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: ceilometer central agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-ipmi
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ipmitool,
         ${misc:Depends},
         ${python:Depends},
Description: ceilometer ipmi agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the ipmi agent.

Package: ceilometer-agent-notification
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: ceilometer notification agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be

## ceilometer 7.1.1

=== requirements.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
 kafka-python<1.0.0,>=0.9.5 # Apache-2.0
 keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
 lxml>=2.3 # BSD
+monotonic
 msgpack-python>=0.4.0 # Apache-2.0
 oslo.concurrency>=3.5.0 # Apache-2.0
 oslo.config>=3.9.0 # Apache-2.0

=== debian/changelog ===
ceilometer (1:7.1.1-0ubuntu1~cloud1) xenial-newton; urgency=medium

  * d/p/*: Rebased.
  * New upstream point release for OpenStack Newton (LP: #1718033).
  * d/control: Align (Build-)Depends with upstream.
  * d/p/disable-kafka.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Sep 2017 14:37:15 -0400

ceilometer (1:7.0.5-0ubuntu1~cloud0) xenial-newton; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1705176).

 -- James Page <james.page@ubuntu.com>  Tue, 25 Jul 2017 12:15:54 +0100

=== debian/control ===
--- 
+++ 
@@ -34,6 +34,7 @@
                      python-lxml,
                      python-migrate (>= 0.9.6),
                      python-mock (>= 1.2),
+                     python-monotonic,
                      python-msgpack (>= 0.4.0),
                      python-neutronclient (>= 4.2.0),
                      python-novaclient (>= 2:2.29.0),
@@ -99,6 +100,7 @@
          python-keystonemiddleware (>= 4.0.0),
          python-lxml,
          python-migrate (>= 0.9.6),
+         python-monotonic,
          python-msgpack (>= 0.4.0),
          python-neutronclient (>= 4.2.0),
          python-novaclient (>= 2:2.29.0),
@@ -283,4 +285,3 @@
  acquire all counters they need to establish customer billing, across all
  current and future OpenStack components. The delivery of counters must
  be traceable and auditable, the counters must be easily extensible to support
- new projects, and agents doing data collections should be

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export HOME="$(CURDIR)/debian/test"

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,systemd

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
		TEMP_REZ=`mktemp -t` && \
			OS_TEST_PATH=./ceilometer/tests/unit testr run --subunit | tee $$TEMP_REZ | subunit2pyunit; \
	rm -f $$TEMP_REZ
endif

override_dh_install:
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/ceilometer/ceilometer-config-generator.conf
	dh_install --fail-missing -Xusr/etc/ceilometer/ceilometer-config-generator.conf

override_dh_auto_clean:
	dh_auto_clean
	rm -f etc/ceilometer/ceilometer.conf etc/ceilometer/ceilometer.conf.sample
	rm -rf .testrepository
	rm -rf pbr*.egg
	rm -f debian/*.init debian/*.service debian/*.upstart

## ceilometer 8.0.1

=== requirements.txt ===
--- 
+++ 
@@ -2,17 +2,17 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-cotyledon
+cachetools>=1.1.0 # MIT License
+cotyledon>=1.3.0 #Apache-2.0
 futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
 futurist>=0.11.0 # Apache-2.0
 debtcollector>=1.2.0 # Apache-2.0
-retrying!=1.3.0,>=1.2.3 # Apache-2.0
+tenacity>=3.1.0 # Apache-2.0
 jsonpath-rw-ext>=0.1.9 # Apache-2.0
 jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
-kafka-python<1.0.0,>=0.9.5 # Apache-2.0
+kafka-python>=1.3.1 # Apache-2.0
 keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
 lxml>=2.3 # BSD
-monotonic
 msgpack-python>=0.4.0 # Apache-2.0
 oslo.concurrency>=3.5.0 # Apache-2.0
 oslo.config>=3.9.0 # Apache-2.0
@@ -34,8 +34,9 @@
 python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
 keystoneauth1>=2.1.0 # Apache-2.0
 python-neutronclient>=4.2.0 # Apache-2.0
-python-novaclient!=2.33.0,>=2.29.0,<7.0.0 # Apache-2.0
+python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
 python-swiftclient>=2.2.0 # Apache-2.0
+python-cinderclient>=1.6.0,!=1.7.0,!=1.7.1  # Apache-2.0
 PyYAML>=3.1.0 # MIT
 requests!=2.9.0,>=2.8.1 # Apache-2.0
 six>=1.9.0 # MIT
@@ -43,7 +44,7 @@
 sqlalchemy-migrate>=0.9.6 # Apache-2.0
 stevedore>=1.9.0 # Apache-2.0
 tooz>=1.28.0 # Apache-2.0
-WebOb>=1.2.3,<1.7.0 # MIT
+WebOb>=1.5.0 # MIT
 WSME>=0.8 # MIT
 # NOTE(jd) We do not import it directly, but WSME datetime string parsing
 # behaviour changes when this library is installed

=== debian/changelog ===
ceilometer (1:8.0.1-0ubuntu2) zesty; urgency=medium

  * d/ceilometer-commmon.postinst: Set permissions to 0640 for
    /etc/ceilometer/ceilometer.conf (LP: #1588391).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Mar 2017 10:19:40 -0400

ceilometer (1:8.0.1-0ubuntu1) zesty; urgency=medium

  * New upstream point release.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Mar 2017 13:34:03 +0000

ceilometer (1:8.0.0-0ubuntu5) zesty; urgency=medium

  * debian/control: Really fix adjustements. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 10 Feb 2017 10:06:55 -0500

ceilometer (1:8.0.0-0ubuntu4) zesty; urgency=medium

  * debian/control: More adjustments. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 10 Feb 2017 08:02:49 -0500

ceilometer (1:8.0.0-0ubuntu3) zesty; urgency=medium

  * debian/control: Adjust dependencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 09 Feb 2017 21:04:28 -0500

ceilometer (1:8.0.0-0ubuntu2) zesty; urgency=medium

  * debian/control: Fix bad dependencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 09 Feb 2017 10:39:41 -0500

ceilometer (1:8.0.0-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * d/p/skip-tests.patch: Dropped no longer needed. 

  [ Corey Bryant ]
  * d/control: Add python-gabbi to run-time Depends since it is used by
    tempest plugin.

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/ceilometer-commmon.postinst: Adjust permissions on /etc/ceilometer.
    (LP: #1588391)
  * d/ceilometer-common.install: Add polling.yaml.


 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Feb 2017 10:26:34 -0500

ceilometer (1:8.0.0~git20170104.aa3f491bb-0ubuntu2) zesty; urgency=medium

  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2017 12:43:24 -0500

ceilometer (1:8.0.0~git20170104.aa3f491bb-0ubuntu1) zesty; urgency=medium

  * New upstream release snapshot for OpenStack Ocata:
    - Updates package version to align with ocata (8.0.0).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2017 12:07:37 -0500

ceilometer (1:7.0.0+git20170104.aa3f491bb-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * New upstream version.
  * debian/ceilometer-common.install: ceilometer-db-sync is 
    now ceilometer-upgrade. 
  * debian/control: Add python-cinderclient.
  * debian/control: Add python-tenacity.
  * debian/control: Add python-libvirt. (LP: #1645435)
  * debian/patches/disable-kafka.patch: Refreshed.

  [ Corey Bryant ]
  * d/ceilometer-common.install: Drop install of gnocchi_resources.yaml to
    etc/ceilometer as it has been moved out of upstream etc/ceilometer path.
  * New upstream version.
  * d/p/disable-kafka.patch: Rebased.
  * d/ceilometer-common.install: Drop install of ceilometer tool show_data.py.
    It's been removed upstream.
  * d/p/*: Rebased.
  * d/ceilometer-api.install, d/control, d/rules,
    d/ceilometer-api.{apache2,conf,service.in}: Run ceilometer-api under
    apache2 with mod_wsgi.
  * d/rules: Add PBR_VERSION to set correct distro version for package build.
  * d/tests/test-services: Test apache2 service is running instead of
    ceilometer-api.
  * New upstream version.
  * d/p/disable-kafka.patch: Rebased.
  * d/ceilometer-api.conf: Drop Apache2 header, as it's covered by d/copyright.
  * New upstream release snapshot for OpenStack Ocata.
  * d/rules: Update VERSION mangling to drop '+'.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Dec 2016 13:40:59 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Chuck Short <zulcss@ubuntu.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: apache2-dev,
+               debhelper (>= 9),
+               dh-apache2,
                dh-python,
                dh-systemd,
                openstack-pkg-tools (>= 23~),
@@ -11,86 +13,90 @@
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: python-awsauth,
+                     python-cachetools (>= 1.1.0),
+                     python-cinderclient (>= 1.6.0),
+                     python-contextlib2 (>= 0.4.0),
+                     python-cotyledon (>= 1.3.0),
+                     python-coverage (>= 3.6),
+                     python-croniter,
+                     python-debtcollector (>= 1.2.0),
+                     python-fixtures (>= 1.3.1),
                      python-concurrent.futures (>= 3.0),
-                     python-contextlib2,
-                     python-cotyledon,
-                     python-coverage,
-                     python-croniter,
-                     python-dateutil (>= 2.4.2),
-                     python-debtcollector (>= 1.2.0),
-                     python-eventlet (>= 0.17.4),
-                     python-fixtures (>= 1.3.1),
                      python-futurist (>= 0.11.0),
                      python-gabbi (>= 1.11.0),
                      python-glanceclient (>= 1:2.0.0),
-                     python-gnocchiclient (>= 2.2.0),
+                     python-gnocchiclient (>= 2.7.0),
                      python-happybase (>= 0.5),
                      python-jsonpath-rw-ext (>= 0.1.9),
-                     python-jsonschema,
-                     python-kafka (>= 0.9.5),
+                     python-jsonschema (>= 2.0.0),
+                     python-kafka (>= 1.3.1),
                      python-keystoneauth1 (>= 2.1.0),
                      python-keystoneclient (>= 1:1.6.0),
                      python-keystonemiddleware (>= 4.0.0),
-                     python-lxml,
+                     python-lxml (>= 2.3),
                      python-migrate (>= 0.9.6),
                      python-mock (>= 1.2),
-                     python-monotonic,
                      python-msgpack (>= 0.4.0),
-                     python-neutronclient (>= 4.2.0),
+                     python-neutronclient (>= 1:4.2.0),
                      python-novaclient (>= 2:2.29.0),
-                     python-os-testr,
+                     python-openssl (>= 0.14),
+                     python-openstackdocstheme (>= 1.0.3),
+                     python-os-api-ref (>= 0.1.0),
+                     python-os-testr (>= 0.4.1),
                      python-os-win (>= 0.2.3),
                      python-oslo.cache (>= 1.5.0),
                      python-oslo.concurrency (>= 3.5.0),
                      python-oslo.config (>= 1:3.9.0),
                      python-oslo.db (>= 4.1.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 3.16.0),
+                     python-oslo.log (>= 1.14.0),
                      python-oslo.messaging (>= 5.2.0),
                      python-oslo.middleware (>= 3.0.0),
                      python-oslo.policy (>= 0.5.0),
                      python-oslo.reports (>= 0.6.0),
                      python-oslo.rootwrap (>= 2.0.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.service (>= 1.0.0),
                      python-oslo.utils (>= 3.5.0),
                      python-oslo.vmware (>= 1.16.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
-                     python-pastedeploy,
+                     python-psycopg2 (>= 2.5),
+                     python-pymongo,
+                     python-pymysql,
+                     python-pastedeploy (>= 1.5.0),
                      python-pecan (>= 1.0.0),
-                     python-psycopg2 (>= 2.5),
-                     python-pymongo (>= 3.0.2),
-                     python-pymysql (>= 0.6.2),
-                     python-pysnmp4,
+                     python-pysnmp4 (>= 4.2.3),
+                     python-dateutil (>= 2.4.2),
                      python-requests (>= 2.8.1),
-                     python-retrying (>= 1.2.3),
                      python-six (>= 1.9.0),
+                     python-sphinxcontrib-pecanwsme (>= 0.8),
                      python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.9.0),
                      python-swiftclient (>= 1:2.2.0),
-                     python-tempest (>= 1:12.1.0),
-                     python-testscenarios,
+                     python-tempest (>= 1:11.0.0),
+                     python-tenacity (>= 3.1.0),
+                     python-testrepository (>= 0.0.18),
+                     python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
                      python-tooz (>= 1.28.0),
-                     python-webob,
-                     python-webtest,
+                     python-webob (>= 1.5.0),
+                     python-webtest (>= 2.0),
                      python-wsme (>= 0.8),
-                     python-yaml,
+                     python-yaml (>= 3.1.0),
                      subunit,
-                     testrepository,
+                     testrepository
 Standards-Version: 3.9.6
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer
 
 Package: python-ceilometer
 Architecture: all
-Depends: python-concurrent.futures (>= 3.0),
+Depends: python-cachetools (>= 1.1.0),
+         python-cinderclient (>= 1.6.0),
          python-cotyledon,
          python-croniter,
-         python-dateutil (>= 2.4.2),
          python-debtcollector (>= 1.2.0),
-         python-eventlet (>= 0.17.4),
+         python-concurrent.futures (>= 3.0),
          python-futurist (>= 0.11.0),
          python-glanceclient (>= 1:2.0.0),
          python-jsonpath-rw-ext (>= 0.1.9),
@@ -98,9 +104,9 @@
          python-keystoneauth1 (>= 2.1.0),
          python-keystoneclient (>= 1:1.6.0),
          python-keystonemiddleware (>= 4.0.0),
+         python-libvirt,
          python-lxml,
          python-migrate (>= 0.9.6),
-         python-monotonic,
          python-msgpack (>= 0.4.0),
          python-neutronclient (>= 4.2.0),
          python-novaclient (>= 2:2.29.0),
@@ -115,28 +121,28 @@
          python-oslo.reports (>= 0.6.0),
          python-oslo.rootwrap (>= 2.0.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.service (>= 1.0.0),
          python-oslo.utils (>= 3.5.0),
          python-pastedeploy,
          python-pecan (>= 1.0.0),
-         python-pysnmp4,
+         python-pysnmp4 (>= 4.2.3),
+         python-dateutil (>= 2.4.2),
          python-requests (>= 2.8.1),
-         python-retrying (>= 1.2.3),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
          python-stevedore (>= 1.9.0),
          python-swiftclient (>= 1:2.2.0),
+         python-tenacity (>= 3.1.0),
          python-tooz (>= 1.28.0),
          python-webob,
          python-wsme (>= 0.8),
          python-yaml,
          ${misc:Depends},
-         ${python:Depends},
-Suggests: python-gnocchiclient (>= 2.1.0),
-          python-kafka (>= 0.9.5),
-          python-psycopg2 (>= 2.5),
-          python-pymongo (>= 3.0.2),
-          python-pymysql (>= 0.6.2),
+         ${python:Depends}
+Suggests: python-gnocchiclient,
+          python-kafka,
+          python-psycopg2,
+          python-pymongo,
+          python-pymysql,
 Description: ceilometer python libraries
  Ceilometer aims to deliver a unique point of contact for billing systems to
  acquire all counters they need to establish customer billing, across all
@@ -155,7 +161,7 @@
 Depends: adduser,
          python-ceilometer (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Provides: ${python:Provides},
 Breaks: ceilometer-polling (<< 1:5.0.0~rc1-0ubuntu2~),
 Replaces: ceilometer-polling (<< 1:5.0.0~rc1-0ubuntu2~),
@@ -175,7 +181,7 @@
 Architecture: all
 Depends: ceilometer-common (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Suggests: mongodb,
 Description: ceilometer collector service
  Ceilometer aims to deliver a unique point of contact for billing systems to
@@ -193,7 +199,7 @@
 Architecture: all
 Depends: ceilometer-common (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Suggests: mongodb,
 Description: ceilometer polling service
  Ceilometer aims to deliver a unique point of contact for billing systems to
@@ -209,9 +215,11 @@
 
 Package: ceilometer-api
 Architecture: all
-Depends: ceilometer-common (= ${binary:Version}),
-         ${misc:Depends},
-         ${python:Depends},
+Depends: apache2 | httpd,
+         ceilometer-common (= ${binary:Version}),
+         libapache2-mod-wsgi,
+         ${misc:Depends},
+         ${python:Depends}
 Suggests: mongodb,
 Description: ceilometer api service
  Ceilometer aims to deliver a unique point of contact for billing systems to
@@ -227,7 +235,7 @@
 Architecture: all
 Depends: ceilometer-common (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: ceilometer compute agent
  Ceilometer aims to deliver a unique point of contact for billing systems to
  acquire all counters they need to establish customer billing, across all
@@ -244,7 +252,7 @@
 Architecture: all
 Depends: ceilometer-common (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: ceilometer central agent
  Ceilometer aims to deliver a unique point of contact for billing systems to
  acquire all counters they need to establish customer billing, across all
@@ -262,7 +270,7 @@
 Depends: ceilometer-common (= ${binary:Version}),
          ipmitool,
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: ceilometer ipmi agent
  Ceilometer aims to deliver a unique point of contact for billing systems to
  acquire all counters they need to establish customer billing, across all
@@ -278,10 +286,3 @@
 Package: ceilometer-agent-notification
 Architecture: all
 Depends: ceilometer-common (= ${binary:Version}),
-         ${misc:Depends},
-         ${python:Depends},
-Description: ceilometer notification agent
- Ceilometer aims to deliver a unique point of contact for billing systems to
- acquire all counters they need to establish customer billing, across all
- current and future OpenStack components. The delivery of counters must
- be traceable and auditable, the counters must be easily extensible to support
